/*
 *  dllpower.h - Copyright (c) 1995, 1996 by Tony Toole.
 */

#ifndef DLLPOWER_H
  #define DLLPOWER_H
  #include <stdio.h>

  #ifdef __cplusplus
  extern "C"
  {
  #endif

    void dllexit();
    void *PowerMalloc(size_t s);
    void *PowerCalloc(size_t s1, size_t s2);
    void  PowerFree(void *s);

    void *malloc(size_t s)
    {
      return PowerMalloc(s);
    }

    void *calloc(size_t s1, size_t s2)
    {
      return PowerCalloc(s1, s2);
    }

    void free(void *s)
    {
      PowerFree(s);
    }
  
  #ifdef __cplusplus
  }
  #endif
#endif
